Bug 1031407 - [abrt] prepaid-manager-applet-0.0.3.1-8.fc20: Gio.py:171:__call__:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.ModemManager was not provided by any .service files
[abrt] prepaid-manager-applet-0.0.3.1-8.fc20: Gio.py:171:__call__:GError: GDB...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: prepaid-manager-applet (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d891887845059c914b4e68e6d20...
:
: 1093691 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 12:28 EST by kksheth
Modified: 2015-06-29 08:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:57:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (988 bytes, text/plain)
2013-11-17 12:28 EST, kksheth
no flags Details
File: environ (1.88 KB, text/plain)
2013-11-17 12:28 EST, kksheth
no flags Details

  None (edit)
Description kksheth 2013-11-17 12:28:23 EST
Description of problem:
install prepaid-manager-applet
start it
earlier in fedora 19, it was showing name of provider of mobile brodband
now in fedora 20, it doesnot.

Version-Release number of selected component:
prepaid-manager-applet-0.0.3.1-8.fc20

Additional info:
reporter:       libreport-2.1.9
cmdline:        python /usr/share/prepaid-manager-applet/prepaid-manager-applet.py
dso_list:       pygobject3-base-3.10.1-1.fc20.i686
executable:     /usr/share/prepaid-manager-applet/prepaid-manager-applet.py
kernel:         3.11.6-301.fc20.i686
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
Gio.py:171:__call__:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.ModemManager was not provided by any .service files

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gi/overrides/GLib.py", line 634, in <lambda>
    return (lambda data: callback(*data), user_data)
  File "/usr/share/prepaid-manager-applet/prepaid-manager-applet.py", line 199, in setup
    modems = self.mm.get_modems()
  File "/usr/share/prepaid-manager-applet/ppm/modemproxy.py", line 125, in get_modems
    ret = mm.EnumerateDevices()
  File "/usr/lib/python2.7/site-packages/gi/overrides/Gio.py", line 171, in __call__
    None)
GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.ModemManager was not provided by any .service files

Local variables in innermost frame:
self: <gi.overrides.Gio._DBusProxyMethodCall instance at 0x8f5c06c>
kwargs: {}
arg_variant: GLib.Variant('()', ())
args: ()
signature: '()'
Comment 1 kksheth 2013-11-17 12:28:32 EST
Created attachment 825212 [details]
File: backtrace
Comment 2 kksheth 2013-11-17 12:28:36 EST
Created attachment 825213 [details]
File: environ
Comment 3 Leon 2014-02-21 01:53:23 EST
Another user experienced a similar problem:

Started prepaid-manager-applet from root command prompt after installing it using yum install

reporter:       libreport-2.1.12
cmdline:        python /usr/share/prepaid-manager-applet/prepaid-manager-applet.py
dso_list:       pygobject3-base-3.10.2-1.fc20.x86_64
executable:     /usr/share/prepaid-manager-applet/prepaid-manager-applet.py
kernel:         3.13.3-201.fc20.x86_64
package:        prepaid-manager-applet-0.0.3.1-8.fc20
reason:         Gio.py:171:__call__:GError: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.ModemManager was not provided by any .service files
runlevel:       N 5
type:           Python
uid:            0
Comment 4 Igor 2014-04-18 07:12:36 EDT
I have the same problem: "GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.ModemManager was not provided by any .service files".
Аlthough ModemManager.service - active (running).

Linux version 3.13.9-200.fc20.x86_64
ModemManager 1.1.0(2.git20130913.fc20)
Comment 5 Jirka Klimes 2014-05-05 10:12:54 EDT
*** Bug 1093691 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2015-05-29 05:47:08 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:57:45 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.